import { jsx as m } from "@emotion/react/jsx-runtime";
import { getPropertyByString as n } from "@m4l/core";
import { ColorFormatter as u } from "../../../formatters/ColorFormatter/ColorFormatter.js";
function s(e) {
  const { fieldValue: t, size: l = "medium" } = e;
  return (i) => {
    const o = n(i.row, t);
    let r;
    return typeof o == "string" ? r = o : r = null, /* @__PURE__ */ m(u, { value: r, size: l });
  };
}
export {
  s as ColumnColorFormatter
};
